import request from '@/utils/request'

// 获取轮播图
export function loadIndexs(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}
//获取首页产品的轮播图和产品信息
export function productIndexs(data,type) {
	return request({
		url: '/api//groom/list/' + type,
		method: 'get',
		data
	});
}
// 获取首页弹窗
export function popimg(data) {
	return request({
		url: '/api/popimg',
		method: 'get',
		data
	});
}

// 获取拼团列表
export function combination(data) {
	return request({
		url: '/api/combination/list',
		method: 'get',
		data
	});
}

export function category(data) {
	return request({
		url: '/api/category',
		method: 'get',
		data
	});
}
export function query(data) {
	return request({
		url: '/api/pro/query_by_cate',
		method: 'get',
		data
	});
}

// 拼团奖励信息
export function comBase(data) {
	return request({
		url: '/api/combination/base',
		method: 'get',
		data
	});
}

// 积分排行榜
export function integralRank(data) {
	return request({
		url: '/api/integral_rank',
		method: 'get',
		data
	});
}

// 获取中奖名单
export function prize(data) {
	return request({
		url: '/api/prize',
		method: 'get',
		data
	});
}